Add participant to conversation
POST
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Add a participant to the conversation if it hasn't already been added
Corps de la requête
Create a participant of the user or flow type.
id
string
obligatoire
ID of the flow or user.
type
string
obligatoire
Participant type.
Possible values: user, flow
status
string
Participant status in the conversation. Defaults to active.
Possible values: pending, invited, active
Create a participant based on an existing contact. It is optional to set the platformAddressSelector for a given contact to select the attribute for communication.
id
string
obligatoire
Contact ID.
type
string
obligatoire
Participant type.
Possible values: contact
status
string
Participant status in the conversation. Defaults to active.
Possible values: pending, invited, active
Create a participant with an identifier value. The contact will be found, or otherwise created, based on the identifier value.
contact
object
obligatoire
Contact identifier information. For more information on identifier keys and values, please refer to the "Conversation Participants" page.
Afficher les paramètres enfants
contact.identifierKey
string
Identifier key of the contact depending on which channel is being used.
contact.identifierValue
string
obligatoire
Identifier of the contact, such as a phone number or email address.
contact.platformAddressSelector
string
An expression to determine the contact's platform address (such as email or phone number) dynamically when sending messages in advanced use cases.
type
string
obligatoire
Participant type.
Possible values: contact
status
string
Participant status in the conversation. Defaults to active.
Possible values: pending, invited, active
Corps de la réponse
avatarUrl
string
contact
object
Afficher les attributs enfants
contact.identifierKey
string
obligatoire
contact.identifierValue
string
obligatoire
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
obligatoire
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
obligatoire
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Exemple de code
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
"type": "contact",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com"
}
}'Exemple de code
{
"id": "3954d22c-96f7-4bc3-817b-67b4d903ed90",
"type": "contact",
"status": "active",
"displayName": "",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com",
"platformAddress": "john.doe@bird.com"
}
}